Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.image
Class GXPath

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.image.GXPath

All Implemented Interfaces:
  quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class GXPath
extends QTByteObject

You use the GXPath to specify a single contour composed of straight lines and curves.

See Also:
  Serialized Form

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`GXPath(int numberOfVectors)` Creates a GXPath object with 1 contour and the number of points specified

Method Summary
`boolean` | `getControlBit(int whichPoint)` Returns the control bit of the corresponding point in the contour
`QDPoint` | `getVector(int whichPoint)` Returns the point in the contour
`int` | `getVectors()` Returns the no of points in the contour
`void` | `setControlBit(int whichPoint, boolean onOrOffCurve)` Sets the ControlBit of point in the contour ( 1 == onCurve )
`void` | `setVector(int whichPoint, QDPoint pt)` Sets the point in the contour at the specified index

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GXPath

    public GXPath(int numberOfVectors)

  Creates a GXPath object with 1 contour and the number of points specified
  Parameters:
    `numberOfVectors` - the number of geometric points in the contour.

Method Detail

### getVectors

    public int getVectors()

  Returns the no of points in the contour
  Returns:
    the no of points in the contour

### getControlBit

    public boolean getControlBit(int whichPoint)

  Returns the control bit of the corresponding point in the contour
  Parameters:
    `whichPoint` - the index of point in the contour

### setControlBit

    public void setControlBit(int whichPoint,
                              boolean onOrOffCurve)

  Sets the ControlBit of point in the contour ( 1 == onCurve )
  Parameters:
    `whichPoint` - the index of point in the contour
    `onOrOffCurve` - the controlBit value ( Consecutive onCurve points are joined with a straight line and offCurve points are joined with a curve).

### getVector

    public QDPoint getVector(int whichPoint)

  Returns the point in the contour
  Parameters:
    `whichPoint` - the index of points in the contour
  Returns:
    the point in the contour at the specified specified

### setVector

    public void setVector(int whichPoint,
                          QDPoint pt)

  Sets the point in the contour at the specified index
  Parameters:
    `whichPoint` - the index of the point in the contour
    `pt` - the point value to be set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD